Name:          jcharset
Version:       1.5
Release:       %mkrel 10
Group:         Development/Java
Summary:       Java Charset package
License:       GPLv2+
URL:           http://www.freeutils.net/source/jcharset/
# to download the file prompts you to accept the license terms
# wget http://www.freeutils.net/source/jcharset/jcharset-1_5.zip
# mkdir -p jcharset-1.5
# cd jcharset-1.5
# unzip ../jcharset-1_5.zip
# lib/jcharset.jar
# rm -r lib
# cd ..
# tar czf jcharset-1.5-clean.tar.gz jcharset-1.5
Source0:       %{name}-%{version}-clean.tar.gz
# custom pom file required by davmail project
Source1:       %{name}-pom-template.xml
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildArch:     noarch

%description
The Java Charset package is an open-source implementation of
character sets that were missing from the standard Java platform. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

cp -p %{SOURCE1} %{name}.pom
sed -i "s|@VERSION@|%{version}|" %{name}.pom
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' CHANGES.txt LICENSE.txt README.txt
# prepare incomplete build structure
mkdir docs

%build

%javac -encoding UTF-8 $(find src -type f -name "*.java")

(
  cd src
# include META-INF/services/java.nio.charset.spi.CharsetProvider
  %jar cvf ../%{name}.jar $(find . -name "*.class") META-INF
)

%javadoc -d docs -encoding UTF-8 -Xdoclint:none $(find src -type f -name "*.java")

%install
%mvn_file net.freeutils.charset:%{name} %{name}
%mvn_artifact %{name}.pom %{name}.jar
%mvn_install -J docs

%files -f .mfiles
%doc CHANGES.txt README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.5-10.mga9
+ Revision: 1828150
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.5-9.mga8
+ Revision: 1490896
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.5-8.mga7
+ Revision: 1262488
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.5-6.mga6
+ Revision: 980654
- First rebuild of the java stack
- sync package jcharset with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 744267
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-4.mga5
+ Revision: 680746
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 1.5-3.mga5
+ Revision: 625388
- imported package jcharset

